<ui:composition
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns="http://www.w3.org/1999/xhtml"
        template="/layout/template.xhtml">
    <ui:param name="useDefaultJQuery" value="false"/>
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.proxy.SyslogMessage']}</h2>
        #{messageBean.retrieveMessage("SYSLOG")}

        <s:div id="messageFound" rendered="#{messageBean.message != null}">
            #{messageBean.intResult()}
            <h:form>
                <ui:include src="commonProperties.xhtml"></ui:include>

                <dl class="dl-horizontal">
                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.proxy.Facility']}</ui:define>
                        <h:outputText value="#{messageBean.message.facility}"/>
                    </ui:decorate>
                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.proxy.Severity']}</ui:define>
                        <h:outputText value="#{messageBean.message.severity}"/>
                    </ui:decorate>
                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.proxy.Timestamp']}</ui:define>
                        <h:outputText value="#{messageBean.message.timestamp}"/>
                    </ui:decorate>
                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.proxy.Hostname']}</ui:define>
                        <h:outputText value="#{messageBean.message.hostName}"/>
                    </ui:decorate>
                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.proxy.ApplicationName']}</ui:define>
                        <h:outputText value="#{messageBean.message.appName}"/>
                    </ui:decorate>
                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.proxy.ProcId']}</ui:define>
                        <h:outputText value="#{messageBean.message.procId}"/>
                    </ui:decorate>
                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.proxy.MessageId']}</ui:define>
                        <h:outputText value="#{messageBean.message.messageId}"/>
                    </ui:decorate>
                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.proxy.Tag']}</ui:define>
                        <h:outputText value="#{messageBean.message.tag}"/>
                    </ui:decorate>
                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.proxy.Payload']}</ui:define>
                        <h:outputText value="#{messageBean.message.payLoad}"/>
                    </ui:decorate>
                </dl>

            </h:form>

            <ui:include src="commonDownload.xhtml"></ui:include>
        </s:div>

        <s:div id="messageNotFound" rendered="#{messageBean.message == null}">
            <ui:include src="_messageNotFound.xhtml"/>
        </s:div>

    </ui:define>
</ui:composition>
